Bug 842625 - xmlbeans - compile with -target 1.5 or greater
xmlbeans - compile with -target 1.5 or greater
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmlbeans (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:27 EDT by Mikolaj Izdebski
Modified: 2012-10-13 18:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-13 18:21:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:27:30 EDT
Package xmlbeans appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Fedora Admin XMLRPC Client 2012-10-04 08:53:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2012-10-13 18:04:49 EDT
xmlbeans-2.6.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xmlbeans-2.6.0-1.fc16
Comment 3 Fedora Update System 2012-10-13 18:06:02 EDT
xmlbeans-2.6.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xmlbeans-2.6.0-1.fc17
Comment 4 Fedora Update System 2012-10-13 18:15:06 EDT
xmlbeans-2.6.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xmlbeans-2.6.0-1.fc18

Note You need to log in before you can comment on or make changes to this bug.